Package Details: bacula5-client 5.2.13-4

Git Clone URL: https://aur.archlinux.org/bacula5-client.git (read-only)
Package Base: bacula5-client
Description: A network backup tool for Linux, Unix, Mac and Windows - client edition
Upstream URL: http://www.bacula.org/
Licenses: GPL2
Conflicts: bacula, bacula-client, bacula-fd
Provides: bacula5-client=5.2.13
Submitter: tgrosch
Maintainer: tgrosch
Last Packager: tgrosch
Votes: 0
Popularity: 0.000000
First Submitted: 2017-04-12 14:25
Last Updated: 2018-03-02 13:57

Latest Comments

bjo commented on 2018-03-06 11:38

Somehow that did not work: JobId 0: Fatal error: TLS required but not configured in Bacula.

tgrosch commented on 2018-03-02 13:58

Thanks bjo and sorry for the delay. Package has been updated.

bjo commented on 2018-02-19 14:02

For working TLS-support both is needed: CPPFLAGS=-I/usr/include/openssl-1.0/ \ LIBS=-L/usr/lib/openssl-1.0/ \

bjo commented on 2018-02-17 12:21

Using the config options from the "usual" bacula-client

CPPFLAGS=-I/usr/include/openssl-1.0/ ./configure \ --prefix=/usr \ --sbindir=/usr/bin \ --enable-client-only \ --with-systemd=/usr/lib/systemd/system/ \ --with-openssl=/usr/lib/openssl-1.0/ \ --sysconfdir=/etc/bacula \ --with-scriptdir=/etc/bacula/scripts

building works.

bjo commented on 2018-02-17 12:15

crypto.lo fails to build:

crypto.c: In function 'CIPHER_CONTEXT crypto_cipher_new(CRYPTO_SESSION, bool, u_int32_t*)': crypto.c:1315:36: error: 'M_ASN1_STRING_length' was not declared in this scope if (EVP_CIPHER_iv_length(ec) != M_ASN1_STRING_length(cs->cryptoData->iv)) { ^~~~~~~~~~~~~~~~~~~~ [...] make[1]: [Makefile:197: crypto.lo] Error 1 make[1]: Waiting for unfinished jobs.... make[1]: Leaving directory '/home/bjo/arch/bacula5-client/src/bacula-5.2.13/src/lib' make[1]: Entering directory '/home/bjo/arch/bacula5-client/src/bacula-5.2.13/src/findlib' make[1]: No rule to make target '../lib/libbac.la', needed by 'all'. Stop. make[1]: Waiting for unfinished jobs.... Making libbacfind.la ...